Huawei P20 Pro - App Installation "Your device is not compatible with this version"

If you install an app on your Huawei P20 Pro via the Google Play Store, the following information may appear:

"Your device is not compatible with this version"

This information is usually displayed if you are using an incompatible Android version, which may not be the case with the Huawei P20 Pro. This message also appears on popular apps such as WhatsApp.

If you receive such a message on Google Play Store before installing a new app, please use the following trick to resolve the problem:

Uninstall updates of the Google Play Store

Open the Android settings on the Huawei P20 Pro and navigates from there to:

  • Apps & Notifications --> Apps

 Search here for "Google Play Store" and selects the entry to open the app info.

Now tap on the three-point symbol in the top right-hand corner and then select "Uninstall updates" from the context menu that opens.

Then proceed further with:

Delete cache and data of the Google Play Store

  1. You are still in the menu Settings --> Apps & Notifications --> Apps --> Google Play Store App info
  2. Tap on "Storage" and then on the two entries:
  • Clear data
  • Clear cache
  1. Restart your Huawei P20 Pro

If you now open the Google Play Store on your Huawei P20 Pro, you should be able to install an app like WhatsApp without the message "Your device is not compatible with this version".



This tip helped?

Nothing found?

Try our:

Search

... Or leave us a comment:

Comments (0)

There are no comments posted here yet

Leave your comments

  1. Posting comment as a guest.
0 Characters
Attachments (0 / 3)
Share Your Location